import '../../stencil.core';
export declare class EdelCardIconComponent {
    hostElement: HTMLElement;
    color: string | undefined;
    icon: string | null;
    render(): JSX.Element;
    componentDidLoad(): void;
    hostData(): {
        class: string;
    };
}
